--[[

Car Super Speed Mod by ZyDevs
Version 1.0.0

--]]

-- Settings
super_speed_toggle = 105 -- NUMPAD 9 


-- CODE

local toggled = false
local superspeed = {}

function superspeed.tick() 
	
	if get_key_pressed(super_speed_toggle) then
		local playerID = PLAYER.PLAYER_ID()
		local player = PLAYER.GET_PLAYER_PED(playerID)
	
		local currentVehicle = PED.GET_VEHICLE_PED_IS_USING(player)
		VEHICLE.SET_VEHICLE_FORWARD_SPEED(currentVehicle, 150) -- Will be 300mph, Modify to your needs.
		
		toggled = true
		
		if toggled then
			print 'Toggled Super Speed'
		end
	end
end

return superspeed